/*
 * =====================================================================================
 *
 *       Filename:  cpu.h
 *
 *    Description:  6502 CPU emulator headers 
 *
 *        Version:  1.0
 *        Created:  2023-09-21 10:12:33 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  William Nolin, 
 *   Organization:  
 *
 * =====================================================================================
 */

#ifndef NESEMULATOR_CPU_H
#define NESEMULATOR_CPU_H

typedef unsigned char byte;
typedef unsigned short address;
typedef unsigned short word;

/**
 * @brief Set clock
 */
void cpu_step_to(int cycle);

void cpu_add_cycles(int count);

#endif
