/*
 * =====================================================================================
 *
 *       Filename:  main.c
 *
 *    Description:  Emulator main loop 
 *
 *        Version:  1.0
 *        Created:  2023-09-21 09:50:34 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  William Nolin, 
 *   Organization:  
 *
 * =====================================================================================
 */
#include <log.h>
#include <stdlib.h>

#include "include/cpu.h"
#include "ram.h"

int main() {
    init_ram();

    ram_set_byte(0x10, 0xf);
    ram_get_byte(0xffff);

    clean_ram();
    return -1;
}

